/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Items\Special\Bulk Order Rewards\Blacksmithy\ColoredAnvil.cs
Lines of code: 34
***********************************************************/


using System;
using Server;
using Server.Engines.Craft;

namespace Server.Items
{
	public class ColoredAnvil : Item
	{
		[Constructable]
		public ColoredAnvil() : this( CraftResources.GetHue( (CraftResource)Utility.RandomMinMax( (int)CraftResource.DullCopper, (int)CraftResource.Valorite ) ) )
		{
		}

		[Constructable]
		public ColoredAnvil( int hue ) : base( 5360 )
		{
			Hue = hue;
			Name="There was an issue with these and they had to be removed - contact GM";
		}
		
		

		public ColoredAnvil( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
			Name="There was an issue with these and they had to be removed - contact GM";
			ItemID=5360;
		}
	}
}